function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

export function isSpecificError(err, errorName) {
  return err instanceof Error && err.name === errorName;
}
export class ConcurrentError extends Error {
  constructor(aggregateId) {
    super(`Cannot save the event because the aggregate '${aggregateId}' is currently out of date. Please retry later.`);

    _defineProperty(this, "code", void 0);

    this.name = 'ConcurrentError';
    this.code = 409;
    Object.setPrototypeOf(this, new.target.prototype);
  }

  static is(err) {
    return isSpecificError(err, 'ConcurrentError');
  }

}
export class AlreadyDisposedError extends Error {
  constructor(message) {
    super(message !== null && message !== void 0 ? message : 'Adapter has been already disposed');
    this.name = 'AlreadyDisposedError';
    Object.setPrototypeOf(this, new.target.prototype);
  }

  static is(err) {
    return isSpecificError(err, 'AlreadyDisposedError');
  }

}

function DefineErrorWithStatus(name, httpStatus) {
  return class extends Error {
    constructor(msg) {
      super(msg);

      _defineProperty(this, "code", void 0);

      this.name = name;
      this.code = httpStatus;
      Object.setPrototypeOf(this, new.target.prototype);
    }

    static is(err) {
      return isSpecificError(err, name);
    }

  };
}

export const RequestTimeoutError = DefineErrorWithStatus('RequestTimeoutError', 408);
export const ConnectionError = DefineErrorWithStatus('ConnectionError', 503);
export const ServiceBusyError = DefineErrorWithStatus('ServiceBusyError', 503);
//# sourceMappingURL=errors.js.map