"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AlreadyUnfrozenError = exports.AlreadyFrozenError = exports.EventstoreFrozenError = void 0;

var _errors = require("./errors");

function DefineFrozenError(name, defaultMessage) {
  return class extends Error {
    constructor(msg) {
      super(msg !== null && msg !== void 0 ? msg : defaultMessage);
      this.name = name;
      Object.setPrototypeOf(this, new.target.prototype);
    }

    static is(err) {
      return (0, _errors.isSpecificError)(err, name);
    }

  };
}

const EventstoreFrozenError = DefineFrozenError('EventstoreFrozenError', 'Event store is frozen');
exports.EventstoreFrozenError = EventstoreFrozenError;
const AlreadyFrozenError = DefineFrozenError('AlreadyFrozenError', 'Event store is already frozen');
exports.AlreadyFrozenError = AlreadyFrozenError;
const AlreadyUnfrozenError = DefineFrozenError('AlreadyUnfrozenError', 'Event store is already unfrozen');
exports.AlreadyUnfrozenError = AlreadyUnfrozenError;
//# sourceMappingURL=frozen-errors.js.map