/// <reference types="node" />
export declare function isSpecificError(err: any, errorName: string): boolean;
export declare class ConcurrentError extends Error {
    readonly code: number;
    constructor(aggregateId: string);
    static is(err: any): boolean;
}
export declare class AlreadyDisposedError extends Error {
    constructor(message?: string);
    static is(err: any): boolean;
}
export declare const RequestTimeoutError: {
    new (msg: string): {
        readonly code: number;
        name: string;
        message: string;
        stack?: string | undefined;
    };
    is(err: any): boolean;
    captureStackTrace(targetObject: object, constructorOpt?: Function | undefined): void;
    prepareStackTrace?: ((err: Error, stackTraces: NodeJS.CallSite[]) => any) | undefined;
    stackTraceLimit: number;
};
export declare const ConnectionError: {
    new (msg: string): {
        readonly code: number;
        name: string;
        message: string;
        stack?: string | undefined;
    };
    is(err: any): boolean;
    captureStackTrace(targetObject: object, constructorOpt?: Function | undefined): void;
    prepareStackTrace?: ((err: Error, stackTraces: NodeJS.CallSite[]) => any) | undefined;
    stackTraceLimit: number;
};
export declare const ServiceBusyError: {
    new (msg: string): {
        readonly code: number;
        name: string;
        message: string;
        stack?: string | undefined;
    };
    is(err: any): boolean;
    captureStackTrace(targetObject: object, constructorOpt?: Function | undefined): void;
    prepareStackTrace?: ((err: Error, stackTraces: NodeJS.CallSite[]) => any) | undefined;
    stackTraceLimit: number;
};
