/// <reference types="node" />
import type { CheckForResourceError } from './types';
export declare const ResourceAlreadyExistError: {
    new (msg: string): {
        readonly code: number;
        name: string;
        message: string;
        stack?: string | undefined;
    };
    is(err: any): boolean;
    captureStackTrace(targetObject: object, constructorOpt?: Function | undefined): void;
    prepareStackTrace?: ((err: Error, stackTraces: NodeJS.CallSite[]) => any) | undefined;
    stackTraceLimit: number;
};
export declare const ResourceNotExistError: {
    new (msg: string): {
        readonly code: number;
        name: string;
        message: string;
        stack?: string | undefined;
    };
    is(err: any): boolean;
    captureStackTrace(targetObject: object, constructorOpt?: Function | undefined): void;
    prepareStackTrace?: ((err: Error, stackTraces: NodeJS.CallSite[]) => any) | undefined;
    stackTraceLimit: number;
};
export declare const maybeThrowResourceError: CheckForResourceError;
